#include <stdio.h>
#include <stdlib.h>

/* safer malloc */
void *my_malloc(int i) {
	void *mem;
	
	mem = (void*)malloc(i);
	if (mem == NULL) {
		printf("memory allocation failed!");
		exit(-1);
	}

	return mem;
}

/* safer realloc */
void *my_realloc(void *memblk, int i) {
	void *mem;
	
	mem = (void*)realloc(memblk, i);
	if (mem == NULL) {
		printf("memory allocation failed!");
		exit(-1);
	}

	return mem;
}